HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get a list of Asset Tags

This API endpoint retrieves a list of Asset Tags. Each Asset Tag in the returned list includes metadata details and last known location. The query parameters allow you to narrow down the results to access points that meet specific criteria, ensuring you receive only the relevant data.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
length ≤ 256

OData 4.0 filter (limited functionality). Supports filtering on field metadata/labels only.

string
length between 17 and 17

MAC address of the Asset Tag.

Note: The filter, sort, limit, and offset parameters are not applicable if the MAC-address query parameter is specified.

date-time
length ≤ 30

Retrieve data starting at the specified timestamp. Provided in RFC 3339 format. Example: 2023-01-01T23:10:41.123Z. If no timestamp is provided, all data will be considered.

int32
0 to 1000
Defaults to 100

Denotes the maximum number of Asset Tags returned in the response. (Default: 100)

int32
0 to 2147483647

Specifies the zero-based resource offset from which to start the page. (Default: 0)

string
length ≤ 256

Comma-separated list of sort expressions. Each sort expression is a property name optionally followed by a direction indicator: asc (ascending) or desc (descending).

The first sort expression in the list defines the primary sort order, the second defines the secondary sort order, and so on. If a direction indicator is omitted, the default direction is ascending.

Supported fields are metadata/name, macAddress, lastKnownLocation/batteryLevel, and lastKnownLocation/lastSeen.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json